#ifndef bqtWallHH
#define bqtWallHH

#include "object.hh"
#include "mapdefs.hh"

class MapWall : public Object
{
public:
    XYZ p1, p2;
    Pigment Pigm;
public:
    MapWall() { }
    MapWall(const wall &w, const v3 *verts);
    
    virtual void TryHit(HitRec &res, const XYZ &eye, const XYZ &dir) const;

    bool hits(const XYZ &a, const XYZ &b) const;
    
    virtual const XYZ Min() const;
    virtual const XYZ Max() const;
    
    inline const FLOAT minx() const { return p1.x <? p2.x; }
    inline const FLOAT miny() const { return p1.y <? p2.y; }
    inline const FLOAT minz() const { return p1.z <? p2.z; }
    inline const FLOAT maxx() const { return p1.x >? p2.x; }
    inline const FLOAT maxy() const { return p1.y >? p2.y; }
    inline const FLOAT maxz() const { return p1.z >? p2.z; }
};

#endif
